services:
  app:
    container_name: Otchislator
    image: git.zetcraft.ru/serega404/otchislator:main
    ports:
      - "8025:8080"
    volumes:
      - /srv/otchislator/pdfs:/app/PDFCache
      - /srv/otchislator/data:/app/data
      - /srv/otchislator/memes:/app/wwwroot/img/memes
      - /srv/otchislator/notifications:/app/wwwroot/img/notifications
    environment:
      - BOT_TOKEN=123:ABC
      - ChatId=
      - Email:Port=587
      - Email:Address=otchislator@server.ru
      - Email:Host=server.ru
      - Email:Name=Отчислятор
      - AzureAd:Instance=https://login.microsoftonline.com/
      - AzureAd:TenantId=sfedu.ru
      - AzureAd:ClientId=123
      - AzureAd:ClientSecret=123
      - AzureAd:Domain=sfedu.onmicrosoft.com
      - AzureAd:CallbackPath=/signin-oidc
      - GotenbergSharpClient:ServiceUrl=http://gotenberg:3000
      - GotenbergSharpClient:HealthCheckUrl=http://gotenberg:3000/health
      - GotenbergSharpClient:RetryPolicy:Enabled=true
      - GotenbergSharpClient:RetryPolicy:RetryCount=4
      - GotenbergSharpClient:RetryPolicy:LoggingEnabled=true
      - TZ=Europe/Moscow
    restart: always
  gotenberg:
    image: gotenberg/gotenberg:8
    ports:
      - "3005:3000"
    restart: always